Name:           xfce-mcs-plugins-extra
Version:        2.0
Release:        2%{?dist}
Summary:        Extra plugins for the Xfce mcs manager

Group:          User Interface/Desktops
License:        GPLv2
URL:            https://launchpad.net/xfce-mcs-plugins-extra
Source0:        http://archive.ubuntu.com/ubuntu/pool/universe/x/%{name}/%{name}_2.0.orig.tar.gz
Patch0:         %{name}-2.0-volman.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce-mcs-manager-devel  >= 4.4.0, xfce4-dev-tools
BuildRequires:  gettext, perl(XML::Parser)
Requires:       xfce-mcs-manager >= 4.4.0, xfce4-session, xfdesktop, thunar-volman
# this one is optional, everything is detected at runtime
#Requires:       scim

%description
This packages provides additional configuration items to be included in the 
Xfce settings manager:
- Autostarted applications
- Menu editor
- Removable drives and media
- SCIM input method


%prep
%setup -q
%patch0 -p1 -b .volman

%build
xdt-autogen
%configure --disable-static --with-gnu-ld --with-volman=%{_libexecdir}/thunar-volman-settings
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*plugin.la
%find_lang %{name}


%post
killall -HUP xfce-mcs-manager > /dev/null || :


%postun
killall -HUP xfce-mcs-manager > /dev/null || :
#pkill -USR1 -f xfce-mcs-manager || true


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/xfce4/mcs-plugins/*_plugin.so


%changelog
* Sun Sep 04 2008 Christoph Wickert <fedora christoph-wickert de> - 2.0-2
- Change License tag to GPLv2
- Configure with --with-gnu-ld
- Patch out hardcoded path of thunar-volman-settings

* Sat Jul 19 2008 Christoph Wickert <fedora christoph-wickert de> - 2.0-1
- Initial Fedora package
